PmeshRenderer
Date: 2019-10-22

org.jmol.rendersurface

## Class PmeshRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.render.MeshRenderer
    - - org.jmol.rendersurface.IsosurfaceRenderer
      - - org.jmol.rendersurface.PmeshRenderer

- Direct Known Subclasses:
    Plot3DRenderer

      public class PmeshRenderer
      extends IsosurfaceRenderer

- - ### Field Summary

    - ### Fields inherited from class org.jmol.rendersurface.IsosurfaceRenderer

      `backgroundColix, iHideBackground, imesh, isBicolorMap, nError, vertexValues`

    - ### Fields inherited from class org.jmol.render.MeshRenderer

      `antialias, bsPolygons, bsPolygonsToExport, diameter, exportPass, forceShowTriangles, frontOnly, haveBsDisplay, imageFontScaling, isGhostPass, isShell, isTranslucent, isTranslucentInherit, latticeOffset, mesh, meshSlabValue, needTranslucent, normixes, p3Screens, pt1f, pt1i, pt2f, pt2i, pt3i, renderLow, scalePixelsPerMicron, screens, selectedPolyOnly, thePlane, transformedVectors, vertexCount, vertices, volumeRender, width`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PmeshRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `render()`

    - ### Methods inherited from class org.jmol.rendersurface.IsosurfaceRenderer

      `render2, renderInfo, renderIso, renderPoints, renderTriangles`

    - ### Methods inherited from class org.jmol.render.MeshRenderer

      `checkFront, drawEdge, drawTriangle, exportSurface, isPolygonDisplayable, isVisibleNormix, render2b, renderMesh2, setColix`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PmeshRenderer

          public PmeshRenderer()

  - ### Method Detail

    - #### render

          protected boolean render()

      Overrides:
        `render` in class `IsosurfaceRenderer`